package fit;

import java.lang.reflect.Method;
import java.util.Iterator;

public class EvaluatingInvocation extends Invocation {
    EvaluatingInvocation(StepFixture target, Parse cells) throws NoSuchMethodException {
        super(target, cells);
    }

    protected Method findTargetMethod() throws NoSuchMethodException {
        return findMethodByArity(targetObject, stepName(), numberOfGivenArgs());
    }

    void execute() throws Exception {
        targetMethod().invoke(targetObject, argumentValues());
    }
}
