package fit;

import java.lang.reflect.Method;
import java.lang.reflect.InvocationTargetException;

public class SpecialFormInvocation extends Invocation {
    // Special forms decide what to do with their arguments.
    private static Object noArgs[] = {};

    SpecialFormInvocation(StepFixture target, Parse cells) throws NoSuchMethodException {
        super(target, cells);
    }

    protected Method findTargetMethod() throws NoSuchMethodException {
        return findMethodByArity(targetObject, stepName(), 0);
    }

    void execute() throws IllegalAccessException, InvocationTargetException, NoSuchMethodException {
        targetMethod().invoke(targetObject, noArgs);
    }
}
