package fit;

import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Calendar;

public class StepFixtureTestFixture extends StepFixture {

    private String result = "";
    private int count = 0;


    private String countPrefix() {
        count++;
        return count+":";
    }

    private String delimited(String s) {
        return "/"+s+"/";
    }

    public void add() {
        result += countPrefix() + delimited("");
    }

    public void add(String s) {
        result += countPrefix() + delimited(s);
    }

    public void add(String s, String s2) {
        result += countPrefix() + delimited(s) + "+" + delimited(s2);
    }

    public void addAString(String s) {
        add(s);
    }

    public String currentString() {
        return result;
    }

    public boolean stringIsEmpty() {
        return currentString().equals("");
    }

    private Date someRandomDate;
    private int someRandomInteger;

    public Date date() {
        return someRandomDate;
    }

    public int date(String day) {
        GregorianCalendar cal = new GregorianCalendar();
        cal.setTime(someRandomDate);
        return cal.get(Calendar.DAY_OF_MONTH);
    }

    public int integer() {
        return someRandomInteger;
    }

    public int plus(int first, int second) {
        return first+second;
    }

    public void setADate(Date date) {
        someRandomDate = date;
    }

    public void setAnInteger(int integer) {
        someRandomInteger = integer;
    }
}
